OrderCreateItem
amountCurrencyCode object
Optional currency code for interpreting the amount field in DTU open range requests (e.g. RUB, KZT, UAH). When set, the backend converts the entered amount to USD and rounds USD up to the provider min/step.
- string
- null
string
denominationIdDenominationidrequired
Item/denomination id from GET /services catalog.
fields object[]
Extra fields required by some products. For DTU orders, account_reference is typically required.
Array [
keyKeyrequired
Field key (e.g. account_reference for DTU orders).
valueValuerequired
Field value.
]
isLongOrderIslongorder
If true, places a long order (may be delivered asynchronously). Applicable only for ordersType=shop. Use isLongOrder / minQtyToLongOrder from the catalog to decide when it is allowed.
Default value:
falsequantityQuantity
Quantity to purchase.
Possible values: >= 1
Default value:
1OrderCreateItem
{
"amountCurrencyCode": "string",
"denominationId": "string",
"fields": [
{
"key": "string",
"value": "string"
}
],
"isLongOrder": false,
"quantity": 1
}